import { useMutation } from '@tanstack/react-query';
import type { RegisterEmailCodeParams } from '@/client/models/RegisterEmailCodeParams';
import { AuthService } from '@/client/services/AuthService';

export function useSendRegisterEmailCode() {
  return useMutation({
    mutationFn: (params: RegisterEmailCodeParams) =>
      AuthService.authSendRegisterEmailCode({ requestBody: params }),
  });
}
